#pragma once

// Type Traits
#include <type_traits>

// Internal Macros
{{ include internal.h }}

// Function Object
{{ include function.h }}

// Headers
#include <cstddef>
#include <string>
#include <vector>
#include <map>
#include <cstring>

// Warnings
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wshadow"

// Custom Wrappers
{{ include custom.h }}

// Shortcuts
typedef unsigned char uchar;
typedef unsigned short ushort;
typedef unsigned int uint;

// Forward Declarations
{{ forwardDeclarations }}

// Extra Headers
{{ extraHeaders }}

{{ main }}

// Cleanup Warnings
#pragma GCC diagnostic pop